Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EjbUtil

    java.lang.Object
      org.jboss.ejb.EjbUtil

public final class EjbUtil
extends Object

Utility methods for resolving ejb-ref and ejb-local-ref within the scope of a deployment.

Version:
  $Revision: 1.5.6.1 $
Author:
  Christian Riege, Scott.Stark@jboss.org

Constructor Summary
`EjbUtil()`

Method Summary
`static String` | `findEjbLink(javax.management.MBeanServer server, org.jboss.deployment.DeploymentInfo di, String link)` Resolves an <ejb-link> target for an <ejb-ref> entry and returns the name of the target in the JNDI tree.
`static String` | `findLocalEjbLink(javax.management.MBeanServer server, org.jboss.deployment.DeploymentInfo di, String link)` Resolves an <ejb-link> target for an <ejb-local-ref> entry and returns the name of the target in the JNDI tree.
`static MessageDestinationMetaData` | `findMessageDestination(javax.management.MBeanServer server, org.jboss.deployment.DeploymentInfo di, String link)` Resolves a <message-destination> target for a <message-destination-link> entry and returns the name of the target in the JNDI tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbUtil

    public EjbUtil()

Method Detail

### findEjbLink

    public static String findEjbLink(javax.management.MBeanServer server,
                                     org.jboss.deployment.DeploymentInfo di,
                                     String link)

  Resolves an <ejb-link> target for an <ejb-ref> entry and returns the name of the target in the JNDI tree.

  Parameters:
    `di` - DeploymentInfo
    `link` - Content of the <ejb-link> entry.
  Returns:
    The JNDI Entry of the target bean; `null` if no appropriate target could be found.

### findLocalEjbLink

    public static String findLocalEjbLink(javax.management.MBeanServer server,
                                          org.jboss.deployment.DeploymentInfo di,
                                          String link)

  Resolves an <ejb-link> target for an <ejb-local-ref> entry and returns the name of the target in the JNDI tree.

  Parameters:
    `di` - DeploymentInfo
    `link` - Content of the <ejb-link> entry.
  Returns:
    The JNDI Entry of the target bean; `null` if no appropriate target could be found.

### findMessageDestination

    public static MessageDestinationMetaData findMessageDestination(javax.management.MBeanServer server,
                                                                    org.jboss.deployment.DeploymentInfo di,
                                                                    String link)

  Resolves a <message-destination> target for a <message-destination-link> entry and returns the name of the target in the JNDI tree.

  Parameters:
    `di` - DeploymentInfo
    `link` - Content of the <message-driven-link> entry.
  Returns:
    The JNDI Entry of the target; `null` if no appropriate target could be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.